class LiveCareClinicsListResponse {
  List<PatientERGetClinicsList> patientERGetClinicsList;

  LiveCareClinicsListResponse({this.patientERGetClinicsList});

  LiveCareClinicsListResponse.fromJson(Map<String, dynamic> json) {
    if (json['PatientER_GetClinicsList'] != null) {
      patientERGetClinicsList = new List<PatientERGetClinicsList>();
      json['PatientER_GetClinicsList'].forEach((v) {
        patientERGetClinicsList.add(new PatientERGetClinicsList.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.patientERGetClinicsList != null) {
      data['PatientER_GetClinicsList'] =
          this.patientERGetClinicsList.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class PatientERGetClinicsList {
  int iD;
  int serviceID;
  String serviceName;
  String serviceNameN;
  int clinicID;
  int age;
  bool isCheckAgeBelow;
  int gender;
  bool isActive;
  String createdOn;
  String createdBy;
  int isOnline;
  dynamic endTime;
  bool projectOutSA;
  List<ShiftTimings> shiftTimings;
  dynamic startTime;

  PatientERGetClinicsList(
      {this.iD,
        this.serviceID,
        this.serviceName,
        this.serviceNameN,
        this.clinicID,
        this.age,
        this.isCheckAgeBelow,
        this.gender,
        this.isActive,
        this.createdOn,
        this.createdBy,
        this.isOnline,
        this.endTime,
        this.projectOutSA,
        this.shiftTimings,
        this.startTime});

  PatientERGetClinicsList.fromJson(Map<String, dynamic> json) {
    iD = json['ID'];
    serviceID = json['ServiceID'];
    serviceName = json['ServiceName'];
    serviceNameN = json['ServiceNameN'];
    clinicID = json['ClinicID'];
    age = json['Age'];
    isCheckAgeBelow = json['IsCheckAgeBelow'];
    gender = json['Gender'];
    isActive = json['IsActive'];
    createdOn = json['CreatedOn'];
    createdBy = json['CreatedBy'];
    isOnline = json['IsOnline'];
    endTime = json['EndTime'];
    projectOutSA = json['ProjectOutSA'];
    if (json['ShiftTimings'] != null) {
      shiftTimings = new List<ShiftTimings>();
      json['ShiftTimings'].forEach((v) {
        shiftTimings.add(new ShiftTimings.fromJson(v));
      });
    }
    startTime = json['StartTime'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['ID'] = this.iD;
    data['ServiceID'] = this.serviceID;
    data['ServiceName'] = this.serviceName;
    data['ServiceNameN'] = this.serviceNameN;
    data['ClinicID'] = this.clinicID;
    data['Age'] = this.age;
    data['IsCheckAgeBelow'] = this.isCheckAgeBelow;
    data['Gender'] = this.gender;
    data['IsActive'] = this.isActive;
    data['CreatedOn'] = this.createdOn;
    data['CreatedBy'] = this.createdBy;
    data['IsOnline'] = this.isOnline;
    data['EndTime'] = this.endTime;
    data['ProjectOutSA'] = this.projectOutSA;
    if (this.shiftTimings != null) {
      data['ShiftTimings'] = this.shiftTimings.map((v) => v.toJson()).toList();
    }
    data['StartTime'] = this.startTime;
    return data;
  }
}

class ShiftTimings {
  String endTime;
  int shiftID;
  String startTime;

  ShiftTimings({this.endTime, this.shiftID, this.startTime});

  ShiftTimings.fromJson(Map<String, dynamic> json) {
    endTime = json['EndTime'];
    shiftID = json['ShiftID'];
    startTime = json['StartTime'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['EndTime'] = this.endTime;
    data['ShiftID'] = this.shiftID;
    data['StartTime'] = this.startTime;
    return data;
  }
}
